#pragma once

#include <library/cpp/yconf/conf.h>

struct TRTYServerConfig;

namespace NRTYServer {

    struct TRepairConfig {
        ui32 Threads;
        bool Enabled;
        ui32 NormalizerThreads;
        const TRTYServerConfig& Owner;
        TRepairConfig(const TRTYServerConfig& owner);
        void Init(const TYandexConfig::Directives& directives);
        TString ToString() const;
    };

}
